function init() {
  //register layerAttributesUpdated function to handle layer-attributes tag
  adf.Controls.addPostBackTagHandler("layer-attributes", layerAttributesUpdated);
}

function layerAttributesUpdated(xml, eventSources) {
  //process response only if event source includes toc
  if (eventSources.indexOf("toc") == -1)
    return;

  //remove for elements
  adf.Utils.removeFormElement("mapForm", "toc_contextMenuItemValue");
  adf.Utils.removeFormElement("mapForm", "toc_nodeOperation");
  adf.Utils.removeFormElement("mapForm", "toc_nodeKey");

  //get attribute table and clear any current content
  var attrDiv = document.getElementById("attrDiv");
  attrDiv.innerHTML = "";
  var table = attrDiv.appendChild(document.createElement("table"));
  table.border = 1;

  //render list of fields
  var thead = table.appendChild(document.createElement("thead")).appendChild(document.createElement("tr"));
  var fields = xml.getElementsByTagName("Field");

  for (var a=0;a<fields.length;a++) {
    var field = fields.item(a).getElementsByTagName("Name").item(0).firstChild.nodeValue;
    thead.appendChild(document.createElement("td")).appendChild(document.createTextNode(field));
  }

  //render attributes for results
  var tbody = table.appendChild(document.createElement("tbody"));

  var valuesTags = xml.getElementsByTagName("Values");
  for (var s=0;s<valuesTags.length;s++) {
    var rows = tbody.appendChild(document.createElement("tr"));
    var valueTags = valuesTags.item(s).getElementsByTagName("Value");
    for (var v=0;v<valueTags.length;v++) {
      var str;
      if (valueTags.item(v).getElementsByTagName("X").length > 0)
        str = valueTags.item(v).getAttributeNode("xsi:type").value;
      else
        str = valueTags.item(v).firstChild.nodeValue;
      var td = rows.appendChild(document.createElement("td"))
      td.noWrap = true;
      td.appendChild(document.createTextNode(str));
    }
  }
}